int eSize = 20;  //オブジェクトのサイズ
int velocity = 5;  //オブジェクトのスピード
int x = 0;  //オブジェクトのx座標

//初期化
void setup() {
  size(400, 400);
  background(255);  //背景は白
  noStroke();      //輪郭を描かない
  fill(0);      //オブジェクトを黒で塗りつぶす
}

//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
  background(255);  //画面の色を更新

  //軌跡を残す場合は、下の3行をON、backgroundをOFFにする
  /*
  fill(255, 10);  //透明度のあるrectを描画
   rect(0, 0, width, height);
   fill(0);      //オブジェクトは黒
   */

  ellipse(x, height/2, eSize, eSize);    //円を描く
  x += velocity;    //x座標にvelocityの値を足す

  //もし、xの値が画面の幅以上になったら、xを0に戻す
  if (x >= width) {    
    x = 0;
  }
}