int eSize = 20;  //オブジェクトのサイズ
int velX = 5;  //x方向のスピード
int velY = 2;  //y方向のスピード
int x = 0;  //x座標
int y = 0;  //y座標
 
//初期化
void setup() {
  size(400, 400);
  background(255);  //背景は白
  noStroke();      //輪郭を描かない
  fill(0);  //黒で描く
}
 
//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
  background(255);  //画面の色を更新
 
  //軌跡を残す場合は、下の3行をON、backgroundをOFFにする
  /*
  fill(255, 10);  //透明度のあるrectを描画
  rect(0, 0, width, height);
  fill(0);      //オブジェクトは黒
  */
 
  x += velX;    //xの値にvelXを足す
  y += velY;    //yの値にvelYを足す
 
  ellipse(x, y, eSize, eSize);    //円を描く
 
  //もし、xの値が画面の右端より大きくなるか、左端より小さくなった場合、
  if ((x > width) || (x < 0)) {
    velX = -velX;    //speedの正負を入れ替える
  }
 
  //もし、yの値が画面の高さより大きくなるか、上端より小さくなった場合、
  if ((y > height) || (y < 0)) {
    velY = -velY;    //speedの正負を入れ替える
  }
}