float r, g;  //赤、緑のそれぞれの値
float rSpeed, gSpeed;  //赤、緑の変化のスピード
 
//初期化
void setup() {
  size(400, 400);
  r = 0.0;  //赤の初期初期値は0.0
  g = 255.0;//緑の初期初期値は255.0
  rSpeed = 1.0;    //赤の変化するスピード
  gSpeed = 1.2;    //緑の変化するスピード
}
 
//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
 
  r += rSpeed;    //rの値にrSpeedを足す
  g += gSpeed;    //gの値にgSpeedを足す
 
  //もし、r, g, bの値が255（最大値）より大きくなるか、
  //0(最小値）より小さくなった場合、  
  if(r > 255){
    rSpeed = -rSpeed;    //rSpeedの正負を入れ替える
 
    //rの値が255を超えたまま画面表示されるとノイズが入るため
    //255以上にはならないように設定
    r = 255;
  }else if(r < 0) {
    r = 0;
    rSpeed = -rSpeed;    //rSpeedの正負を入れ替える
  }
 
  if(g > 255){
    gSpeed = -gSpeed;    //gSpeedの正負を入れ替える
    g = 255;
  }else if(g < 0) {
    gSpeed = -gSpeed;    //gSpeedの正負を入れ替える
    g = 0;
  }
 
  background(r, g, 0);  //背景を描画
}