//初期化
void setup() {
  size(400, 400);
  noStroke();
}

//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
  background(255);

  //mills()を宣言すると、
  //プログラムが始まって終了するまで時間をカウントする
  int m = millis();

  //mは9000で割った余りなので、常に0~8999の間の値を繰り返す
  m = m % (9*1000);

  //1秒=1000msなので、以下のように書くと、
  //mが３秒以上、という意味になる
  if (m <= 3*1000) {

    fill(0, 255, 0);     //赤にする

    //もし、counterが3秒超6秒以下だったら
  } else if ((m > 3*1000) && (m <= 6*1000)) {

    fill(255, 0, 0);     //赤にする

    //もし、counterが6秒超9秒以下だったら
  } else if ((m > 6*1000) && (m <= 9*1000)) {

    fill(255, 255, 0);     //赤にする
  }

  ellipse(width/2, height/2, 100, 100); 

  if (mousePressed) {    //マウスが押されたら
    println(m);         //経過時間を出力する（秒）
  }
}