float rectX;  //四角形の座標
float rectY;
int rSize = 200;  //四角形のサイズ
boolean over = false;  //マウスオーバー確認用フラッグ
boolean down = false;  //マウスダウン確認用フラッグ
 
void setup() {
  size(400, 400);
  rectMode(CENTER);
  stroke(0);
  rectX = width/2;  //基準点は画面中央
  rectY = height/2;
}
 
void draw() {
  background(255);
 
  //マウス座標が四角形内かを検証
  if ((mouseX > rectX - rSize/2) && (mouseX < rectX + rSize/2) 
    && (mouseY > rectY - rSize/2) && (mouseY < rectY + rSize/2))
  { 
    over = true;  //マウスオーバーしていたらtrue
 
    //マウスダウンしていなければグレーを塗る
    if (down == false) {
      fill(127);
    }
  } else {          //マウスオーバーしていなければ  
    fill(255);      //白を塗る 
    over = false;    //マウスオーバーフラッグはfalse
  }
 
  rect(rectX, rectY, rSize, rSize);
}
 
void mousePressed() { 
  //マウスオーバーしていれば
  if (over == true) {
    down = true;  //マウスダウンフラッグはtrue
    fill(0);  //黒で塗る
  } else {
    down = false;  //それ以外はfalse
  }
} 
 
void mouseReleased() {
 
  //マウスを離したらマウスダウンフラッグはfalse
  down = false;
}