float eSize = 0;  //オブジェクトのサイズ(スムーズに変化させるためにfloatを使用)
float eSizeIncrement = 0;  //オブジェクトのサイズの変化量
float x = 0;  //オブジェクトのx座標
float y = 0;  //オブジェクトのy座標

void setup() {
  size(400, 400);
  noStroke();   //線ナシ
  fill(0);      //塗り黒
}

void draw() {
  background(255);

  // 軌跡を残す場合は、下の3行をON、backgoundをOFFにする
  /*
  fill(255, 50);  //透明度のあるrectを描画
   rect(0, 0, width, height);
   fill(0);      //オブジェクトは黒
   */

  eSizeIncrement = eSizeIncrement*eSizeIncrement;  //円のサイズを変更する係数を加速度的に大きくする。
  if (eSizeIncrement > 40.0) {   //とはいえ大きくなりすぎると困るので40までに丸める。
    eSizeIncrement = 40.0;
  }
  eSize += eSizeIncrement;  //円のサイズを適用する。
  if (eSize > 1000) {  //サイズを1000を上限に丸める。
    eSize = 1000;
  }
  ellipse(x, y, eSize, eSize);    //円を描画する。
}

void mousePressed() {

  eSizeIncrement = 1.0001;
  eSize = 0;
  x = mouseX;
  y = mouseY;
}