size(400, 400);
rectMode(CENTER);  //4角形の基準点を中心に変更
 
background(255);
 
//1つ目の4角形/////////////////////////////////
 
pushMatrix(); //現在の座標系を保存
translate(100, 100);  //座標系を(x座標100, y座標100)に移動
 
//座標系の確認用に赤のグリッドを作成
stroke(255, 150, 150, 127);
for (int x = 0; x <= 400; x += 20) {
  line(x, 0, x, 400);  //縦の線を描画
}
for (int y = 0; y <= 400; y += 20) {
  line(0, y, 400, y);  //横の線を描画
}
 
fill(255, 0, 0, 127);  //半透明の赤
rect(0, 0, 40, 40);  //4角形を描画
 
popMatrix(); //前の座標系を呼び出す
 
//2つ目の4角形/////////////////////////////////
 
pushMatrix(); //現在の座標系を保存
//座標系を元の基準点から(x座標103, y座標103)移動
translate(103, 103);
 
//座標系の確認用に青のグリッドを作成
stroke(100, 100, 255, 127);
for (int x = 0; x <= 400; x += 20) {
  line(x, 0, x, 400);  //縦の線を描画
}
for (int y = 0; y <= 400; y += 20) {
  line(0, y, 400, y);  //横の線を描画
}
 
fill(0, 0, 255, 127);  //半透明の青
rect(0, 0, 40, 40);  //4角形を描画
 
popMatrix(); //前の座標系を呼び出す