float myNoise = 0.0;  //ノイズの初期値
float start = 0.0;  //myNoiseのスタート地点
float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる
 
void setup() {
  size(400, 400);
}
 
void draw() {
  background(255);
  myNoise = start;  //myNoiseをスタート地点で初期化
 
  for (int x = 0; x < width; x += 3) {
    //ノイズを使ってy座標を設定
    float y = noise(myNoise)*height;
 
    line(x, 0, x, y);
    //ランダムを使った場合は連続性がない
    //line(x, 0, x, random(height));
 
    myNoise += step;   //ノイズの値を更新
  }
}
 
void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}