float x, y;  //中心点のx, y座標
float R = 100;  //軌跡を描く円の半径
int angle = 0;  //角度

void setup() {
  size(400, 400);  
  noStroke();
  fill(0);
}

void draw() {
  background(255);

  //静止画の場合////////////////////////////////
  for (int i = 0; i < 360; i ++) {

    //thetaは角度（i）をラジアンの単位に変換したもの
    float theta = radians(i);
    x = R*cos(theta);
    y = -R*sin(theta);    //数学の座標とはy方向が反対になる
    //画面中央を中心にして円上に点を描画
    ellipse(x + width/2, y + height/2, 1, 1);
  }

  //アニメーションの場合//////////////////////////
  float theta = radians(angle);
  x = R*cos(theta);
  y = -R*sin(theta);
  ellipse(x + width/2, y + height/2, 10, 10);

  angle ++;
  //もしangleが360以上になったら0にする。
  if (angle >= 360) angle = 0;
}