float x, y;  //x, y座標
float A1, A2;  //振幅
float w;  //角周波数（周期）
float t;  //アニメーション用経過時間（X座標）
 
//1秒で1回転するように30で割る。度数法だと12°
//更に2で割ると1周期2秒
float rad = (TWO_PI/30.0)/2;
 
void setup() {
  size(720, 400);
  background(255);
  frameRate(30);
  noStroke();
  fill(0);
 
  A1 = 30.0;    //振幅を設定
  A2 = 60.0;
  w = 1.0;    //角周波数を設定
  t = 0.0;    //経過時間を初期化
}
 
void draw() {
  //点のアニメーションを描画///////////////////////
  //サイクロイド
  x = A1*(t - sin(w*t)); 
  y = -A1*(1 - cos(w*t));
 
  //トロコイド（A1 = A2の時にはサイクロイドになる）
  //x = A1*(t) - A2*sin(t);
  //y = -(A1 - A2*cos(t));
 
  ellipse(x, y + height/2, 3, 3);  //円を描く
 
  t += rad;    //時間を進める
 
  if (x > width) {
    x = 0.0;  //点が右端まで行ったらになったら原点に戻る
    t = 0.0;  //経過時間もリセット
  }
}