float x, y;
float A1, A2, A3;  //振幅
float w1, w2;      //角周波数（周期）
float t;           //経過時間
 
//1秒で1回転するように30で割る。度数法だと12°
//更に6で割ると1周期6秒
float rad = (TWO_PI/30.0)/6;
 
void setup() {
  size(400, 400);  
  background(255); 
  frameRate(30);
  noStroke();
  fill(0);
 
  A1 = 100.0;
  A2 = 10.0;
  A3 = 20.0;
  w1 = 1.0;  
  w2 = 1.0;
  t = 0.0;
}
 
void draw() {
  //内サイクロイド
  x = (A1 - A2)*cos(w1*t) + A2*cos(((A1 - A2)/A2)*t);
  y = (A1 - A2)*sin(w2*t) - A2*sin(((A1 - A2)/A2)*t);
 
  //内トロコイド（A2 = A3の時には内サイクロイドになる） 
  //x = (A1 - A2)*cos(w1*t) + A3*cos(((A1 - A2)/A2)*t);
  //y = (A1 - A2)*sin(w2*t) - A3*sin(((A1 - A2)/A2)*t);  
 
  //外サイクロイド
  //x = (A1 + A2)*cos(w1*t) - A2*cos(((A1 + A2)/A2)*t);
  //y = (A1 + A2)*sin(w2*t) - A2*sin(((A1 + A2)/A2)*t);
 
  //外トロコイド（A2 = A3の時には外サイクロイドになる）
  //x = (A1 + A2)*cos(w1*t) - A3*cos(((A1 + A2)/A2)*t);
  //y = (A1 + A2)*sin(w2*t) - A3*sin(((A1 + A2)/A2)*t);
 
  ellipse(x + width/2, y + height/2, 2, 2);  
 
  t += rad;    //時間を進める
}