float eSize;    //円のサイズ
float speed = 0.5;    //円の拡大縮小のスピード
float minSize = 1.0;     //円のサイズの最小値
float maxSize = 200.0;    //円のサイズの最大値

void setup() {
  size(400, 400);
  background(255);
  noStroke();
  fill(0);

  eSize = minSize;    //円のサイズを最小値に設定
}

void draw() {
  background(255);

  eSize += speed;    //円のサイズを変化させる
  //もし円のサイズが最大値を超えたか最小値未満になったら
  //speedの増減を反転させる
  if ((eSize > maxSize) || (eSize < minSize))
    speed = -speed;
    
  //円を描く
  ellipse(width/2, height/2, eSize, eSize);
}