float eSize0, eSize1, eSize2;    //円のサイズ
//円の拡大縮小のスピード
float speed0 = 0.4, speed1 = 0.5, speed2 = 0.3;
float minSize= 1.0;     //円のサイズの最小値
float maxSize = 100.0;    //円のサイズの最大値

void setup() {
  size(400, 400);
  background(255);
  noStroke();
  fill(0);

  eSize0 = minSize;    //円のサイズを最小値に設定
  eSize1 = minSize;
  eSize2 = minSize;
}

void draw() {
  background(255);

  //左の円
  eSize0 += speed0;    //円のサイズを変化させる
  //もし円のサイズが最大値を超えたか最小値未満になったら
  //speedの増減を反転させる
  if ((eSize0 > maxSize) || (eSize0 < minSize))
    speed0 = -speed0;
    
  ellipse(0, height/2, eSize0, eSize0);    

  //中央の円
  eSize1 += speed1;
  if ((eSize1 > maxSize) || (eSize1 < minSize))
    speed1 = -speed1;
    
  ellipse(200, height/2, eSize1, eSize1);

  //右の円
  eSize2 += speed2;
  if ((eSize2 > maxSize) || (eSize2 < minSize))
    speed2 = -speed2;
    
  ellipse(400, height/2, eSize2, eSize2);
}