float[] eSize = new float[3];    //円のサイズ
float[] speed = {0.4, 0.5, 0.3};    //円の拡大縮小のスピード
float minSize = 1.0;     //円のサイズの最小値
float maxSize = 100.0;    //円のサイズの最大値

void setup() {
  size(400, 400);
  background(255);
  noStroke();
  fill(0);

  for (int i = 0; i < 3; i++) {    
    eSize[i] = minSize;    //円のサイズを最小値に設定
  }
}

void draw() {
  background(255);

  for (int i = 0; i < 3; i ++) {
    eSize[i] += speed[i];    //円のサイズを変化させる
    //もし円のサイズが最大値を超えたか最小値未満になったら
    //speedの増減を反転させる
    if ((eSize[i] > maxSize) || (eSize[i] < minSize))
      speed[i] = -speed[i];
      
    ellipse(200*i, height/2, eSize[i], eSize[i]);    //円を描く
  }
}