int num = 10;    //円の数
float[] eSize = new float[10];    //円のサイズ
float[] speed = new float[10];    //円の拡大縮小のスピード
float minSize = 50.0;     //円のサイズの最小値
float maxSize = 150.0;    //円のサイズの最大値

void setup() {
  size(550, 200);
  background(255);
  noStroke();
  fill(0, 200);

  for (int i = 0; i < num; i++) {    
    eSize[i] = i*5.0 + 50;    //円のサイズの初期値をそれぞれ設定
    speed[i] = 1.0;    //円のスピードの初期値
  }
}

void draw() {
  background(255);

  for (int i = 0; i < num; i ++) {
    eSize[i] += speed[i];    //円のサイズを変化させる
    //もし円のサイズが最大値を超えたか最小値未満になったら
    //speedの増減を反転させる
    if ((eSize[i] > maxSize) || (eSize[i] < minSize))
      speed[i] = -speed[i];
      
    ellipse(50*i + 50, height/2, eSize[i], eSize[i]);
  }
}