//ビデオライブラリをインポート
import processing.video.*;

Capture video;  //Capture型の変数videoを宣言

void setup() {
  size(640, 480);

  //カメラ映像の取り込みをおこなうための変数を設定
  video = new Capture(this, 640, 480); 
  video.start();  //カメラを開始
}

void draw() {
  //もし、カメラの準備ができていたら、
  if (video.available() == true) {
    video.read();    //カメラからの映像を読み込む
    tint(255, 100, 100);  //色をつける

    //不透明度を設定すると、フェードがかかる
    //tint(255, 100, 100, 20);
    image(video, 0, 0);    //0,0は、映像の左上のx,y座標
  }
}