import processing.video.*;

Capture video;
float rad = 0.0;

void setup() {
  size(640, 480);
  video = new Capture(this, 320, 240);
  video.start();
}

void draw() {
  //もし、キャプチャーの準備ができていたら、
  if (video.available() == true) {
    video.read();    //カメラからの画像を読み込む
    pushMatrix();

    //画像の基準点を画面中心に移動
    translate(width/2, height/2);
    rotate(rad);  //回転
    image(video, 0, 0);  //正像
    popMatrix();

    rad += 0.01;
    if (rad > TWO_PI) rad = 0.0;
  }
}