float y = 0.0;    //ボールのy座標
float velocity = 0.0;    //ボールの初速
float gravity = 0.1;    //ボールにかかる重力
float reaction = 0.7;    //ボールの反発力
 
void setup() {
  size(400, 400);
  background(255);
  noStroke();
  fill(0);
}
 
void draw() {
  //フェードする時はtrue、しない場合はfalse
  fade(false);
 
  velocity += gravity;    //スピードに重力が加算される
  y += velocity;    //ボールにスピードが設定される
 
  if (y > height) {    //もしボールが画面の下まで落ちたら、
    velocity *= -reaction;    //反発力によって上に上がる
    y = height;    //ボールは画面の外に外れない
  }
 
  ellipse(width/2, y, 20, 20);    //ボールを描く
}
 
//フェード用関数
void fade(boolean _fadeFlag) {
  if (_fadeFlag) {
    fill(255, 10);  //透明度のあるrectを描画
    rect(0, 0, width, height);
    fill(0);      //オブジェクトは黒
  } else {
    background(255);
  }
}