float objX, objY;    //オブジェクトのx, y座標
float disX, disY;    //mouse座標とオブジェクトの距離
//マウスに遅れる度合い（2.0だと速すぎて分かりにくいので20.0にしておく）
float delay = 20.0;

void setup() {
  size(400, 400);
  background(255);  //背景は白
  noStroke();
  fill(0);
  objX = mouseX;    //objX, disXを現在のマウスのx座標で初期化
  objY = mouseY;    //objY, disYを現在のマウスのy座標で初期化
}

void draw() {
  //フェードする時はtrue、しない場合はfalse
  fade(false);

  //マウス座標とオブジェクトの距離をdisX, disYに入れる
  disX = mouseX - objX;
  disY = mouseY - objY;

  //距離（disX, disY）をdelayで割った値を足す（オブジェクトが移動する）
  objX = objX + disX/delay;    
  objY = objY + disY/delay;

  ellipse(objX, objY, 20, 20);
}

//フェード用関数
void fade(boolean _fadeFlag) {
  if (_fadeFlag) {
    fill(255, 10);  //透明度のあるrectを描画
    rect(0, 0, width, height);
    fill(0);      //オブジェクトは黒
  } else {
    background(255);
  }
}