float rad = 0.0;  //角度を時間として扱う変数
float velocity = 0.1;  //アニメーションのスピード
float damp = 0.98;  //拡大縮小の減衰率
float maxSize = 100.0;  //円の最大サイズ
float R1 = 100.0;  //基準円のサイズ
float R2 = 0.0;  //拡大縮小する範囲
 
void setup() {
  size(400, 400);
  noStroke();
  fill(0);
}
 
void draw() {
  background(255);
 
  float r = R1 + R2*sin(rad);  //円のサイズを計算
 
  ellipse(width/2, height/2, r, r);  //円を描画
 
  rad += velocity;  //時間を進める
  if(rad > TWO_PI) rad = 0.0;  //360度でリセット
 
  R2 *= damp;  //徐々に0に近づける
}
 
void mousePressed() {
  rad = 0;  //マウスを押すと時間をリセット
  R2 = maxSize;  //円のサイズを最大値にする
}