float rNoise;  //赤用ノイズ変数
float gNoise;  //緑用ノイズ変数
float bNoise;  //青用ノイズ変数
float rStart;  //赤ノイズのスタート地点
float gStart;  //緑ノイズのスタート地点
float bStart;  //青ノイズのスタート地点
float step = 0.01;  //ステップの数値が少ないと変化が滑らかになる
 
void setup() {
  size(400, 400);
 
  rStart = random(10);  //スタート地点をrandom()で初期化
  gStart = random(10);
  bStart = random(10);
}
 
void draw() {
  background(255);
  rNoise = rStart;  //ノイズをスタート地点で初期化
  gNoise = gStart;
  bNoise = bStart;
 
  for (int x = 0; x < width; x ++) {
    //noise(rNoise)*255の結果は0 ~ 255なので、暗い色を出さないために
    //map関数を使って100 ~ 255の値にしている
    float r = map(noise(rNoise)*255, 0, 255, 100, 255); 
    float g = map(noise(gNoise)*255, 0, 255, 100, 255);
    float b = map(noise(bNoise)*255, 0, 255, 100, 255);
 
    stroke(r, g, b);
    line(x, 0, x, height);
 
    rNoise += step;   //ノイズの値を更新
    gNoise += step;
    bNoise += step;
  }
}
 
void mousePressed() {
  rStart = random(10);  //ノイズのスタート位置を変える
  gStart = random(10);
  bStart = random(10);
}