boolean drawFlag = true;  //描画を行うタイミングかどうかを決定する。

void setup() {
  size(400, 400);
}

void draw() {

  if (drawFlag) {  //描画タイミングであれば

    background(255);
    float cx = width/2;  //円の中心(x)
    float cy = height/2;  //円の中心(y)
    float radius = 10;  //円の半径
    float radian = 0;  //角度
    float blur = 0;  //歪み最大量

    float px = 0;  //1ループ前に設定したx座標を記録するための変数
    float py = 0;  //1ループ前に設定したy座標を記録するための変数

    for (int i = 0; i < 1500; i ++) {

      radian += 0.01;  //角度を段階的に増やしていく
      radius += 0.15;  //半径を段階的に増やしていく
      blur += 0.21;  //歪み最大量を段階的に増やしていく
      float blurredRadius = radius + random(blur);  //半径をランダムに決定する(基本量+歪み(0-歪み最大量)のランダム)
      float p1x = cos(radian) * blurredRadius + cx;  //点1のx座標を決定する
      float p1y = sin(radian) * blurredRadius + cy;  //点1のy座標を決定する
      // 円運動を作る時はx座標はcos,y座標はsinを決め打ちで覚えると良いと思います
      // xはcos(ラジアン) * 半径 + 中心点のx
      // yはsin(ラジアン) * 半径 + 中心点のy

      if (i > 0) {  //ループが2回目以降にのみ描画する(1回目はまだpx,pyが決定していないので)
        line(px, py, p1x, p1y);
      }

      px = p1x;  //次のループのためにx座標を保存する
      py = p1y;  //次のループのためにy座標を保存する
    }

    drawFlag = false;  //描画が終了したのでフラグをfalseにしておく
  }
}
void mousePressed() {
  drawFlag = true;  //描画タイミングにする
}