boolean drawFlag = true;  //クリックごとに描画するためのフラッグ

void setup() {

  size(400, 400);
  background(255);
}

void draw() {
  if (drawFlag) {  //drawFlagがtrueだったら

    background(255);

    //座標軸を真ん中に
    translate(width/2, height/2);


    for (int k = 0; k < 360; k++) {
      int space = 10;

      //一度ずつ回転させていく
      rotate(radians(k));

      //中心からの線を描く
      for (int i = 0; i < 300; i+=space) {
        line(i, random(-k/10), i, random(k/10));
      }
    }


    drawFlag = false;  //描画後にfalseにする
  }
}

void mousePressed() {
  drawFlag = true;  //クリックでdrawFlagをtrue
}