boolean drawFlag = true;  //クリックごとに描画するためのフラッグ


void setup() {
  size(400, 400);
  background(255);
}

void draw() {
  if (drawFlag) {  //drawFlagがtrueだったら

    //座標軸を真ん中に
    translate(width/2, height/2);
    background(255);


    for (int h = 50; h < 300; h+=50) {
      for (int i = 0; i < 360; i++) {

        //線の位置
        float x = h*cos(radians(i));
        float y = h*sin(radians(i));

        //拡散率
        float diff = random(0, 1);

        for (int k = 0; k < (int)random(10); k++) {

          //中心からのランダムに拡散させた線
          line(x*diff+random(-1, 1), y*diff+random(-1, 1), x*diff+random(-1, 1), y*diff+random(-1, 1));

          //中心からの線を描く
          line(x+diff+random(-h/10, h/10), y+diff+random(-h/10, h/10), x+diff+random(-5, 5), y+diff+random(-5, 5));
        }
      }
    }

    drawFlag = false;  //描画後にfalseにする
  }
}

void mousePressed() {
  drawFlag = true;  //クリックでdrawFlagをtrue
}