void setup() {
  //P3Dと書くことによって、3Dを使うことを明示する
  size(400, 400, P3D);
}

void draw() {
  background(0);

  //立体の中心を画面中央に移動し、奥行きを200pxを奥にする
  translate(width/2, height/2, -200);

  //ラジアンで指定。Y軸に対して60度回転。2PI=360°なので、PI/3が60度
  rotateY(PI/3);
  box(150, 150, 150);    //150 x 150 x 150pxの立方体を描画
}