boolean lightFlag = false;

void setup() {
  size(400, 400, P3D);
  background(0);
  noStroke();
}

void draw() {
  background(0);

  ambientLight(10, 10, 10);    //環境光

  pushMatrix();
  translate(width/2, height/2, 0);

  //強い光のハイライトを設定
  if (lightFlag)lightSpecular(255, 0, 0);
  else lightSpecular(50, 0, 0);    //弱い光のハイライトを設定

  //方向光を設定
  directionalLight(255, 255, 255, -1, 1, -1);

  specular(255, 255, 255);    //オブジェクトの色を設定
  sphere(100);
  popMatrix();
}

//lightSpecularの切り替え用フラッグ
void mousePressed() {
  if (lightFlag) lightFlag = false;
  else lightFlag = true;
}