float scale = 5;  //視点の範囲の拡大率
float aspect;  //画面の縦横比

void setup() {
  size(400, 400, P3D);
  noFill();
  stroke(0);

  //画面の縦横比が変わってもオブジェクトが歪まないように比率を計算
  aspect = float(width)/float(height);

  //frustum(左、右、下、上、近い面までの距離、遠い面までの距離)
  frustum(-scale*aspect, scale*aspect, -scale, scale, 10, 500);
}

void draw() {
  background(255);

  //基準点を画面中央。z軸方向には-100
  translate(width/2, height/2, 0);
  rotateX(-PI/9.0);  //-20°回転
  box(150);
}