//Circleクラスの宣言
class Circle {
  float x, y, eSize, velocity;
 
  //初期化用メソッド（コンストラクタ） 
  Circle (float _y, int _eSize, float _velocity) {
    x = 0.0;    //x座標の初期値は0.0
    y = _y;     //y座標の初期値はインスタンス生成の際の引数
    eSize = _eSize;
    //velocityの初期値はインスタンス生成の際の引数
    velocity = _velocity;
  }
 
  //円の位置を更新するメソッド
  void update() {
    x += velocity;    //velocity分のx座標を移動
    if (x > width) {    //円のx座標がウィンドウの幅を超えたら、
      x = 0;    //位置を0に戻す
    }
  }
 
  void display() {
    ellipse(x, y, eSize, eSize);    //円を描く
  }
}