//ColorCircleクラスのインスタンスを宣言
ColorCircle c1, c2;

void setup() {

  size(400, 400);
  smooth();    //図形の輪郭をきれいに描画
  noStroke();
  fill(0);    //黒で描画

  //インスタンス作成
  c1 = new ColorCircle(100, 10, 1.0, color(255, 0, 0));
  c2 = new ColorCircle(300, 40, 3.5, color(0, 0, 255));
}

void draw() {

  background(255);    //背景は白

  //c1インスタンスのクラスである、ColorCircleクラスのupdate()と
  //displayColor()メソッドを実行
  c1.update(); 
  c1.displayColor();

  c2.update(); 
  c2.displayColor();
}

void keyPressed() {

  if (key == CODED) {
    if (keyCode == UP) {  //上に動く
      c1.faster();
      c2.faster();
    } else if (keyCode == DOWN) {    //下に動く
      c1.slower();
      c2.slower();
    }
  }
}