int grid = 50;  //グリッドの単位
int loop = 0;  //ループのカウント
int cont = 10;  //継続数
boolean blu = true;  //青のオンオフ
size(400, 400);
noStroke();

for (int y = 0; y < width; y += grid) {
  for (int x = 0; x < height; x += grid) {

    float sx = float(x)/350.0; // 計算しやすくするため、xの値を0.0-1.0の範囲に限定する
    float sy = float(y)/350.0; // 計算しやすくするため、yの値を0.0-1.0の範囲に限定する
    // float sx = map(x, 0, 350, 0, 1.0); //map関数を使う場合はこのようになる
    // float sy = map(x, 0, 350, 0, 1.0); //map関数を使う場合はこのようになる

    float r = sx; //赤成分を設定
    float g = sy; //緑成分を設定
    float b = float(loop)/float(cont); //青成分を設定
    if (blu) {
      b = 1 - b;  //bluがオンの時には反転
    }
    b = map(b, 0, 1, 0.5, 1.0);

    loop++;  //カウントアップ
    if (loop > cont) {  //カウントが閾値よりも高ければ
      loop = 0;  //カウントをリセット
      blu = !blu;  //bluを反転
    }
    /*
    r = map(r, 0, 1.0, 0.6, 1.0); // rの範囲を0.6-1.0の範囲に置き換える
     g = map(g, 0, 1.0, 0.6, 1.0); // gの範囲を0.6-1.0の範囲に置き換える
     */
    fill(r * 255, g * 255, b * 255);  //色を設定
    rect(x, y, grid, grid);
  }
}