int grid = 50;//グリッドの単位

size(400, 400);
noStroke();

for (int y = 0; y < width; y += grid) {
  for (int x = 0; x < height; x += grid) {

    //幅と高さが0~400なので、xとyをそれぞれ0~127.5に変換する
    //合計すると、0~255になる
    float c = map(x, 0, width - grid, 0, 127.5) + map(y, 0, height - grid, 0, 127.5);

    fill(c, 110, 10);//色を設定
    rect(x, y, grid, grid);
  }
}