int grid = 50;//グリッドの単位

size(400, 400);
noStroke();

//画面全体に描画
for (int x = 0; x < width; x+=grid) {
  for (int y = 0; y < height; y+=grid) {
    float c = map(x, 0, height, 0, 105);
    float c2 = map(y, 0, width, 0, 255);
    fill(c, c2, 140);
    rect(x, y, grid, grid);
  }
}

//左下のジグザグ模様
int yPos = 0;//y軸に四角をどのくらい描画するのか決める変数
for (int x = 0; x < width/2; x+=grid) {
  for (int y = yPos; y < height; y+=grid) {

    float c = map(y, 0, height, 0, 255);//高さ分を0から255に変更
    float c2 = map(x, 0, width/2, 0, 255);//横幅の半分を0から255に変更
    fill(c, 150, c2);//色を設定
    rect(x, y, grid, grid);
  }
  yPos += 100;
}

//右上のジグザク模様
yPos = 100;//y軸に四角をどのくらい描画するのか決める変数
for (int x = width/2; x < width; x+=grid) {
  for (int y = 0; y < yPos; y+=grid) {

    float c = map(y, 0, height, 0, 255);//高さ分を0から255に変更
    float c2 = map(x, width/2, width, 0, 255);//横幅の半分を0から255に変更
    fill(c, 150, c2);//色を設定
    rect(x, y, grid, grid);
  }
  yPos += 100;
}