int eSize = 20;  //オブジェクトのサイズ
int velocity = 5;  //オブジェクトのスピード
int x = 0;  //オブジェクトのx座標
 
//初期化
void setup() {
  size(400, 400);
  background(255);  //背景は白
  noStroke();      //輪郭を描かない
  fill(0);  //黒で描く
}
 
//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
  background(255);  //画面の色を更新
 
  //軌跡を残す場合は、下の3行をON、backgroundをOFFにする
  /*
  fill(255, 10);  //透明度のあるrectを描画
  rect(0, 0, width, height);
  fill(0);      //オブジェクトは黒
  */
 
  x += velocity;    //xの値にvelocityを足す
 
  ellipse(x, height/2, eSize, eSize);    //円を描く
 
  //もし、xの値が画面の右端より大きくなるか、左端より小さくなった場合、
  if ((x > width) || (x < 0)) {
    velocity = -velocity;    //velocityの正負を入れ替える
  }
}