float x = 0.0;  //円のx座標は0から始める
float y;  //円のy座標
float velocity = 0.02;  //円のスピード
float resize = 200.0;  //ピクセルの拡大率

//初期化
void setup() {
  size(400, 400);
  background(255);
}

//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
  background(255);

  //軌跡を残す場合は、下の3行をON、backgoundをOFFにする
  /*
  fill(255, 50);  //透明度のあるrectを描画
   rect(0, 0, width, height);
   fill(0);      //オブジェクトは黒
   */

  stroke(200);
  line(0, height/2, width, height/2);  //基準線
  line(width/2, 0, width/2, height);

  x += velocity;  //xにスピードを加算

  //y座標はxの2乗
  //xが-1.0~1.0なので、yは0~1.0になる
  y = x*x;

  //参考: 3次関数
  //y = x * x * x;  

  //xは-1.0~1.0の間を往復する
  if ((x > 1.0) || (x < -1.0)) {
    velocity = -velocity;
  }

  noStroke();

  //x座標のみの変化
  fill(0);
  ellipse(x*resize + width/2, height/2, 20, 20);

  //y座標のみの変化
  fill(0, 0, 255);
  ellipse(width/2, height/2 - y*resize, 20, 20);

  //2次曲線
  fill(255, 0, 0);
  ellipse(x*resize + width/2, height/2 - y*resize, 20, 20);
}