//初期化
void setup() {
  size(400, 400);
  noStroke();
}
 
//プログラムが終了するまで、draw()の中は繰り返される
void draw() {
  background(255);
 
  //millis()を宣言すると、
  //プログラムが始まって終了するまで時間をカウントする
  int m = millis();
 
  //1秒=1000msなので、以下のように書くと、
  //mが３秒を超えたら、という意味になる
  if(m > 3*1000 ){    //もし、counterが3秒を超えたら
    fill(255, 0, 0);     //赤にする
  }else{                 //それまでは
    fill(0, 255, 0);    //緑にする
  }
  ellipse(width/2, height/2, 100, 100); 
 
  if(mousePressed) {    //マウスが押されたら、
    println(m);         //経過時間を出力する（秒）
  }
}