int x, y;  // 円の位置
int eSize = 100;   // 円の直径

//マウスカーソルが円の中に入ったかを判定
boolean circleEnter = false;
int bgColor = 0;    //背景色の設定（初期値は黒）

void setup() {
  size(400, 400);
  background(0);
  noStroke();

  x = width/2;    //円は、画面の中央に表示
  y = height/2;
}

void draw() {
  background(bgColor);    //背景色を設定

  //もし、マウスカーソルが円の中に入ったら
  if (enterCircle(x, y, eSize)) {
    circleEnter = true;
    fill(200);    //円の色を200のグレーに変更
  } else {
    circleEnter = false;
    fill(100);    //そうでなかったら100のグレー
  }
  ellipse(x, y, eSize, eSize);    //円の描画
}

void mousePressed() {
  //もし、マウスカーソルが円の中に入ったら
  if (circleEnter) {

    //背景色が黒の場合は白、白の場合は黒に変更
    switch(bgColor) {
    case 0: 
      bgColor = 255; 
      break;
    case 255:  
      bgColor = 0; 
      break;
    }
  }
}

//マウスカーソルが円の中に入ったかどうかを判定する関数
boolean enterCircle(int _x, int _y, int _diameter) {
  //円の中心からの距離を算出
  if (dist(_x, _y, mouseX, mouseY) < _diameter/2) {
    return true;
  } else {
    return false;
  }
}