void setup() {
  size(400, 400);
  noStroke();//輪郭なし
  fill(0);//オブジェクトは黒
}

void draw() {
  background(255);

  //40ピクセル間隔で円を描画
  for (int i = 0; i <= width; i += 40) {
    for (int j = 0; j <= width; j += 40) {
      float d = dist(mouseX, mouseY, i, j);//マウスと円の距離
      float map = map(d, 0, width, 30, -20);//距離の値を変換、マウスとの距離が近い方が値が大きくなる
      ellipse(i, j, map, map);//円を描画
    }
  }
}