size(400, 400);
rectMode(CENTER);  //4角形の基準点を中心に変更
 
background(255);
 
for (int i = 0; i <= 180; i += 30) {
 
  pushMatrix(); //現在の座標系を保存
  translate(width/2, height/2);  //座標系を画面中央に移動
  rotate(radians(i));  //座標系を回転
 
  int r = int(random(255));    //ランダムに色を決定
  int g = int(random(255));
  int b = int(random(255));
 
  //座標系の確認用に赤のグリッドを作成
  stroke(r, g, b, 127);
  for (int x = 0; x <= 400; x += 20) {
    line(x, 0, x, 400);  //縦の線を描画
  }
  for (int y = 0; y <= 400; y += 20) {
    line(0, y, 400, y);  //横の線を描画
  }
 
  fill(r, g, b, 127);  //半透明の赤
  //4角形を基準点から100ピクセルx軸方向に移動して描画
  rect(100, 0, 40, 40);
 
  popMatrix(); //前の座標系を呼び出す
}