float angle = 0.0;  //角度の初期値は0.0
void setup() {
  size(500, 500);
  rectMode(CENTER);
  noFill();
  stroke(0);
}

void draw() {
  background(255);

  for (int i = 0; i < 360; i += 30) {

    pushMatrix(); //現在の座標系を保存
    translate(width/2, height/2);  //座標系を画面中央に移動
    rotate(radians(angle + i)); //座標系を回転

    //座標系の確認用にグレーのグリッドを作成
    /*
    stroke(200);
    for (int x = 0; x <= width; x += 10)
      line(x, 0, x, height);
    for (int y = 0; y <= height; y += 10)
      line(0, y, width, y);
    */

    //4角形を基準点から100ピクセルx軸方向に移動して描画
    rect(100, 0, 40, 40);
    popMatrix(); //前の座標系を呼び出す
  }

  //angleを加算。360.0度になったら0.0度に戻す
  angle += 0.5;
  if (angle >= 360.0) angle = 0.0;
}