float noiseX = 10.0;  //x座標用ノイズ変数
float noiseY = 0.0;  //y座標用ノイズ変数
float step = 0.01;  //ステップの数値が少ないと変化が滑らかになる

void setup() {
  size(400, 400);
  background(255);
  noStroke();
  fill(0);
}

void draw() {
  //フェードする時はtrue、しない場合はfalse
  fade(false);

  //ノイズを使ってx,y座標を設定
  float x = noise(noiseX)*height;
  float y = noise(noiseY)*height;

  ellipse(x, y, 40, 40);
  //ランダムを使った場合は連続性がない
  //ellipse(random(width), random(height), 40, 40);

  noiseX += step;   //ノイズの値を更新
  noiseY += step;   //ノイズの値を更新
}

//フェード用関数
void fade(boolean _fadeFlag) {
  if (_fadeFlag) {
    fill(255, 10);  //透明度のあるrectを描画
    rect(0, 0, width, height);
    fill(0);      //オブジェクトは黒
  } else {
    background(255);
  }
}