float myNoise = 0.0;  //ノイズの初期値
float start = 0.0;  //myNoiseのスタート地点
float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる

void setup() {
  size(400, 400);
}

void draw() {

  background(0);
  myNoise = start;  //ノイズ位置を初期値に戻す

  float radians = 0;  //角度 
  float radius = 0;  //半径
  float cx = width/2;  //中心のx座標
  float cy = height/2;  //中心のy座標
  float px = width/2;  //1ループ前のx座標を記録するための変数
  float py = height/2;  //1ループ前のy座標を記録するための変数

  for (int i = 0; i < 2000; i ++) {

    radians = noise(myNoise) * TWO_PI * 1.4;  //角度を決定 0から1のノイズ × 2π × 1.4
    radius += noise(myNoise) * 0.2;    //角度を決定 0から1のノイズ × 0.2

    float x = cos(radians) * radius + cx;  //x座標を決定する
    float y = sin(radians) * radius + cy;  //y座標を決定する
    // 円運動を作る時はx座標はcos,y座標はsinを決め打ちで覚えると良いと思います
    // xはcos(ラジアン) * 半径 + 中心点のx
    // yはsin(ラジアン) * 半径 + 中心点のy

    stroke(255.0 - i/2000.0 * 255.0);  //段階的に白から黒に
    line(px, py, x, y);

    px = x;  //次のループのためにx座標を保存
    py = y;  //次のループのためにy座標を保存

    myNoise += step;   //ノイズの値を更新
  }
}

void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}