float myNoise = 0.0;  //ノイズの初期値
float start = 0.0;  //myNoiseのスタート地点

float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる

boolean drawFlag = true;

void setup() {
  size(400, 400);
  background(255);
}

void draw() {
  background(255);
  myNoise = start;  //myNoiseをスタート地点で初期化

  //座標軸を真ん中にする
  translate(width/2, height/2);


  for (int x = 0; x < 360; x ++) {

    //線の長さ
    float length = noise(myNoise) * 300;

    //中心から線を描く
    line(length*cos(radians(x)), length*sin(radians(x)), 0, 0);

    myNoise += step;//ノイズの値を更新
  }
}

void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}