float myNoise = 0.0;  //ノイズの初期値
float start = 0.0;  //myNoiseのスタート地点
float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる

void setup() {
  size(400, 400);
}

void draw() {
  background(255);
  myNoise = start;//myNoiseをスタート地点で初期化


  int centerX = width/2, centerY=height/2;//基点となるセンターの座標
  float secondX=0, secondY=0;//前の座標を保存するための変数

  float x, y;//線の座標

  boolean isFirst = true;//一番始めは実行させないためのフラグ


  for (float angle = 0; angle <= 10000; angle +=5) {

    float rad = radians(angle);//ラジアンに変換
    float myRadius = noise(myNoise)*1000-500;//ノイズで生成された半径

    //ノイズから生成された値を半径にする
    x = centerX + (myRadius * cos(rad));
    y = centerY + (myRadius * sin(rad));


    if (isFirst) {
      isFirst = false;
    } else {
      line(x, y, secondX, secondY);
    }

    //前の値を保存
    secondX = x;
    secondY = y;

    //ノイズの値を更新
    myNoise += step;
  }
}

void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}