float noiseX, noiseY;
float noiseX2, noiseY2;

boolean drawFlag = true;  //描画負荷が高いため、毎フレーム描画しないよう、フラグ形式にする


void setup() {
  size(400, 400);

  noiseX = random(-10, 10);
  noiseY = random(-10, 10);
  noiseX2 = random(-10, 10);
  noiseY2 = random(-10, 10);
}

void draw() {


  if (!drawFlag) {
    return;
  } else {
    drawFlag = false;
  }

  background(255);

  //スケールと回転率が異なる線を描く
  drawLine(1.0, 0);  
  drawLine(0.7, 120);
  drawLine(0.5, 60);
}

void drawLine(float scale, float rotate) {
  pushMatrix();
  translate(width/2, height/2);//基点を中心にする
  rotate(radians(rotate));
  scale(scale);

  for (int k = 0; k <= 100; k+=50) {
    for (float i = 0; i < 360; i+=0.5) {

      float radius = 250 - k;

      //ノイズの値を更新
      noiseX += 0.001;
      noiseY += 0.001;

      //色の更新
      float stroke = i*2; 
      if (stroke > 255) stroke(255);
      else stroke(i);

      //円を描く
      float radian = radians(i);
      float centX = (noise(noiseX) *50 -25) +cos(radian)*radius;
      float centY = (noise(noiseY) *50 -25) +sin(radian)*radius;
      line(0, 0, centX, centY);

      //上記の円と反対側に円を描く
      float radian2 = radian + PI;
      float centX2 = (noise(noiseX2) *50 -25) +cos(radian2)*radius;
      float centY2 = (noise(noiseY2) *50 -25) +sin(radian2)*radius;
      line(0, 0, centX2, centY2);
    }
  }
  popMatrix();
}

void mousePressed() {
  noiseX = random(-10, 10);
  noiseY = random(-10, 10);
  noiseX2 = random(-10, 10);
  noiseY2 = random(-10, 10);
  drawFlag = true;
}