float x, y;  //中心点のx, y座標
float R = 100;  //軌跡を描く円の半径
float theta = 0.0;  //角度
 
//1秒で1回転するように30で割る。度数法だと12°
float rad = TWO_PI/30.0;
 
void setup() {
  size(400, 400); 
  frameRate(30);  //1秒30フレーム
  noStroke();
  fill(0);  
}
 
void draw() {
  background(255);
 
  //静止画の場合////////////////////////////////
  for (float i = 0.0; i < TWO_PI; i += rad) {
 
    x = R*cos(i);
    y = -R*sin(i);    //数学の座標とはy方向が反対
    ellipse(x + width/2, y + height/2, 3, 3);
  }
 
  //アニメーションの場合//////////////////////////
  x = R*cos(theta);
  y = -R*sin(theta);
  ellipse(x + width/2, y + height/2, 10, 10);
 
  theta += rad;
  
  //もしthetaが2π以上になったら0.0にする。
  if (theta >= TWO_PI) theta = 0.0;
}