float x, y;  //x, y座標
float A;  //振幅
float w;  //角周波数
float p;  //初期位相
float t;  //経過時間
float eSize = 100;  //直線運動する円のサイズ（最大200）

//1秒で1回転するように30で割る。度数法だと12°
//更に3で割ると1周期が3秒になる
float rad = (TWO_PI/30.0)/3;
int speed = 5;    //直線運動する円のスピード

void setup() {
  size(600, 300); 
  frameRate(30);

  A = 100.0;    //振幅を設定
  w = 1.0;    //角周波数を設定
  p = 0.0;    //初期位相を設定
  t = 0.0;    //経過時間を初期化
}

void draw() {  
  background(255);  

  //sine, cosineを使った曲線的な拡大縮小///////////////////  
  //この場合、-A*sin(w*t - p)の計算結果は100.0~-100.0なので
  //100を足すことによって、0.0~200.0にしている。
  y = A*sin(w*t + p) + 100;
  ellipse(150, height/2, y, y);  //円を描く  
  t += rad;    //時間を進める
  if (t > TWO_PI) t = 0.0;

  //sine, cosineを使わない直線的な拡大縮小//////////////////
  eSize += speed;
  if ((eSize > 200) || (eSize < 0)) speed = -speed;
  ellipse(450, height/2, eSize, eSize);  //円を描く
}