float x, y;  //x, y座標
float A;  //振幅
float w;  //角周波数
float p;  //初期位相
float t;  //経過時間
 
//1秒で1回転するように30で割る。度数法だと12°
//更に6で割ると1周期6秒
float rad = (TWO_PI/30.0)/6;
 
void setup() {
  size(400, 400);
  background(255);  
  frameRate(30);
  noStroke();
  fill(0);
 
  A = 100.0;  //振幅を設定
  w = 1.0;    //角周波数を設定
  p = 0.0;    //初期位相を設定
  t = 0.0;    //経過時間を初期化
}
 
void draw() {
  x = A*sin(w*t - p);
  y = -A*sin(w*t*2 - p);
  ellipse(x + width/2, y + height/2, 2, 2);  //円を描く
 
  t += rad;    //時間を進める
}