float x, y;  //x, y座標
float A;  //振幅
float w1, w2;  //角周波数
float p;  //初期位相
float t;  //経過時間
 
//1秒で1回転するように30で割る。度数法だと12°
//更に6で割ると1周期秒
float rad = (TWO_PI/30.0)/6;
 
void setup() {
  size(400, 400);
  background(255);
  frameRate(30);
  noStroke();
 
  A = 100.0;   //振幅を設定
  w1 = 1.0;    //角周波数。w1とw2の値が違うと大きく変形する
  w2 = 1.0;
  p = 0.0;     //初期位相を設定
  t = 0.0;     //経過時間を初期化
}
 
void draw() {  
  //アステロイド  
  x = A*pow(cos(w1*t), 3);
  y = A*pow(sin(w2*t), 3);
 
  fill(0);
  ellipse(x + width/2, y + height/2, 2, 2);  
 
  t += rad;    //時間を進める
}