import processing.video.*;
 
Capture video;
 
void setup() {
  size(640, 480);
  video = new Capture(this, 320, 240);
  video.start();
}
 
void draw() {
  //もし、キャプチャーの準備ができていたら、
  if (video.available() == true) {
    video.read();    //カメラからの画像を読み込む
    pushMatrix();
    image(video, 0, 0);  //正像
    popMatrix();
 
    pushMatrix();
    scale(-1, 1);
    image(video, -width, 0);  //左右反転
    popMatrix();
 
    pushMatrix();    
    scale(1, -1);
    image(video, 0, -height);  //上下反転
    popMatrix();
 
    pushMatrix();
    scale(-1, -1);
    image(video, -width, -height);  //上下左右反転
    popMatrix();
  }
}