import gab.opencv.*;  //ライブラリをインポート
import processing.video.*;
import java.awt.*;
 
Capture video;
OpenCV opencv;
PImage  img, thresh, blur, adaptive;
 
void setup() {
  size(640, 480);
  video = new Capture(this, 640, 480);
  opencv = new OpenCV(this, 640, 480);
 
  video.start();  //キャプチャを開始
}
 
void draw() {
  opencv.loadImage(video);  //ビデオ画像をメモリに展開
 
  //二値化。0〜255の間で、白黒に分割。
  opencv.threshold(50);
  thresh = opencv.getSnapshot();
  image(thresh, 0, 0 );  //表示
 
  //ぼかし。値を増やすとボケ具合が強くなる。
  /*
  opencv.blur(12);  
  blur = opencv.getSnapshot();
  image(blur, 0, 0 );  //表示
  */
}
 
void captureEvent(Capture c) {
  c.read();
}