float objX, objY;    //オブジェクトのx, y座標
float disX, disY;    //mouse座標とオブジェクトの距離
//mouseが押されたときに、一時的にx, y座標を保存しておくための変数
float targetX, targetY;
float delay = 20.0;    //マウスに遅れる度合い

void setup() {
  size(400, 400);
  background(255);
  noStroke();
  fill(0);

  objX = mouseX;    //初期化
  objY = mouseY;
  targetX = targetY = 0.0;
}

void draw() {
  //フェードする時はtrue、しない場合はfalse
  fade(false);

  //マウス座標とオブジェクトの距離をdisX, disYに入れる
  disX = targetX - objX;
  disY = targetY - objY;

  //距離（disX, disY）をdelayで割った値を足す（オブジェクトが移動する）
  objX = objX + disX/delay;
  objY = objY + disY/delay;

  ellipse(objX, objY, 20, 20);
}

void mousePressed() {
  targetX = mouseX;
  targetY = mouseY;
}

//フェード用関数
void fade(boolean _fadeFlag) {
  if (_fadeFlag) {
    fill(255, 10);  //透明度のあるrectを描画
    rect(0, 0, width, height);
    fill(0);      //オブジェクトは黒
  } else {
    background(255);
  }
}