float centerX;   //基準点のx座標
float centerY;  //基準点のy座標
 
void setup() { 
  size(400, 400); 
  stroke(0);
  strokeWeight(5);
  centerX = width/2;  //基準点を画面中央に設定
  centerY = height/2;
}
 
void draw() {
 
  background(255);
 
  //マウスから基準点の角度を計算
  float angle = atan2(mouseY - centerY, mouseX - centerX);
 
  //座標変換
  pushMatrix();
  translate(centerX, centerY);  //画面中央に座標変換
  rotate(angle);  //angleの角度に座標変換
  line(-100, 0, 100, 0);
  popMatrix();
}