int angle = 0;  //角度を時間として扱う変数
int speed = 10;  //アニメーションのスピード
float damping = 0.98;  //拡大縮小の減衰率
float maxSize = 100.0;  //円の最大サイズ
float R1 = 100.0;  //基準円のサイズ
float R2 = 0.0;  //拡大縮小する範囲
float R3;  //振動させるための変数
 
void setup() {
  size(400, 400);
  noStroke();
  fill(0);
}
 
void draw() {
  background(255);
 
  //0 ~ R2の70%の間でランダム値を返す
  R3 = random(R2*0.7);
  //円のサイズを計算
  float r = R1 + R2*sin(radians(angle)) + R3;
 
  ellipse(width/2, height/2, r, r);  //円を描画
 
  angle += speed;  //時間を進める
  if (angle > 360) angle = 0;  //360度でリセット
 
  R2 *= damping;  //徐々に0に近づける
}
 
void mousePressed() {
  angle = 0;  //マウスを押すと時間をリセット
  R2 = maxSize;  //円のサイズを最大値にする
}