float myNoise = 0.0;  //ノイズの初期値
float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる
 
size(400, 400);
background(255);
 
for (int x = 0; x < width; x += 3) {  
  //noise()の引数がいくつでも、必ず結果は0.0 ~ 1.0の間の値が返される
  //0.0 ~ 1.0にheightを掛けているので、結果は0.0 ~ 400.0
  //ノイズを使ってy座標を設定
  float y = noise(myNoise)*height;
 
  line(x, 0, x, y);
  //ランダムを使った場合は連続性がない
  //line(x, 0, x, random(height));
 
  myNoise += step;   //ノイズの値を更新
}