float myNoise = 0.0;  //ノイズ変数
float start = 0.0;  //myNoiseのスタート地点
float step = 0.0;  //ステップの数値が少ないと変化が滑らかになる
PFont myFont;    //フォント用変数
 
void setup() {
  size(400, 400);
 
  myFont = createFont("Arial", 12);  //フォント作成
  textFont(myFont, 14);  //テキストのサイズを設定
}
 
void draw() {
  background(255);
  myNoise = start;
 
  step = map(mouseX, 0, width, 0.0, 0.1);
 
  for (int x = 0; x < width; x += 3) {
 
    float y = noise(myNoise)*height;
 
    line(x, 0, x, y);
    //ランダムを使った場合は連続性がない
    //line(x, 0, x, random(height));
 
    myNoise += step;   //ノイズの値を更新
  }
  fill(0);
  text("step = " + step, 20, height - 20);  //月を描画
}
 
void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}