float myNoise = 0.0;  //ノイズ変数
float start = 0.0;  //myNoiseのスタート地点
float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる

void setup() {
  size(400, 400);
}

void draw() {
  background(255);
  myNoise = start;  //myNoiseをスタート地点で初期化

  for (int x = 0; x < width; x ++) {
    //ノイズによる値を色にする
    float myColor = noise(myNoise)*255;

    stroke(myColor);
    line(x, 0, x, height);

    myNoise += step;   //ノイズの値を更新
  }
}

void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}