float noiseX = 0.0;  //x座標用ノイズ変数
float noiseY = 0.0;  //y座標用ノイズ変数
float start = 0.0;  //noiseX, noiseYのスタート地点
float step = 0.02;  //ステップの数値が少ないと変化が滑らかになる

void setup() {
  size(400, 400);
}

void draw() {
  loadPixels();  //ピクセルをロードする
  noiseY = start;  //noiseYをスタート地点で初期化

  for (int y = 0; y < height; y ++) {

    noiseX = start;  //noiseXをスタート地点で初期化

    for (int x = 0; x < width; x ++) {
      float c = noise(noiseX, noiseY)*255;

      //決定した色をピクセルに反映
      pixels[y*width + x] = color(c);

      noiseX += step;   //noiseXを更新
    }
    noiseY += step;   //noiseYを更新
  }
  updatePixels();  //ピクセルを更新
}

void mousePressed() {
  start = random(10);  //myNoiseのスタート位置を変える
}