boolean drawFlag = true;  //描画を行うタイミングかどうかを決定する。

void setup() {
  size(400, 400);
}

void draw() {

  if (drawFlag) {  //描画タイミングであれば
    background(255);

    float cx = width/2;  //円の中心(x)
    float cy = height/2;  //円の中心(y)
    float radius = width * 0.3;  //円の半径
    float blur = 0;  //歪み量

    for (int i = 0; i < 300; i ++) {

      blur += 0.1;  //段階的に歪みの最大量を増やしていく(0 -> 30)

      float radian = random(TWO_PI);  //角度(ラジアン)を0-360度相当をランダムに決定する
      float blurredRadius = radius + random(blur);  //半径をランダムに決定する(基本量+歪み)
      float p1x = cos(radian) * blurredRadius + cx;  //点1のx座標を決定する
      float p1y = sin(radian) * blurredRadius + cy;  //点1のy座標を決定する
      // 円運動を作る時はx座標はcos,y座標はsinを決め打ちで覚えると良いと思います
      // xはcos(ラジアン) * 半径 + 中心点のx
      // yはsin(ラジアン) * 半径 + 中心点のy

      radian += random(TWO_PI)*0.2;  //上で決めた角度に0-72度相当をランダムに追加する
      blurredRadius = radius + random(blur);  //半径をランダムに決定する(基本量+歪み)
      float p2x = cos(radian) * blurredRadius + cx;  //点2のx座標を決定する
      float p2y = sin(radian) * blurredRadius + cy;  //点2のy座標を決定する

      line(p1x, p1y, p2x, p2y);
    }
    drawFlag = false;  //描画が終了したのでフラグをfalseにしておく
  }
}
void mousePressed() {
  drawFlag = true;  //描画タイミングにする
}