boolean drawFlag = true;  //クリックごとに描画するためのフラッグ

void setup() {
  size(400, 400);
}

void draw() {
  if (drawFlag) {  //drawFlagがtrueだったら

    background(255);

    //座標軸を中央に移動
    translate(width/2, height/2);


    for (int h = 0; h < 3; h++) {

      //ランダムで回転させる
      rotate(radians(random(0, 360)));

      pushMatrix();
      for (int k = 0; k < 360; k++) {
        int space = 10;

        //一度ずつ回転させる
        rotate(radians(k));

        //スケールを段々と小さくしていく
        scale(0.96);

        //中心からの線を描く
        for (int i = 0; i < 300; i+=space) {
          line(i, random(-k/10), i, random(k/10));
        }
      }
      popMatrix();
    }
  }
  drawFlag = false;  //描画後にfalseにする
}



void mousePressed() {
  drawFlag = true;  //クリックでdrawFlagをtrue
}