float theta = 0.0;    //角度

//1秒で1回転するように30で割る。度数法だと12°
//更に3で割ると1周期3秒
float rad = (TWO_PI/30.0)/3;

void setup() {
  size(400, 400, P3D);
  frameRate(30);  //1秒30フレーム
}

void draw() {
  background(0);

  //立体の中心を画面中央に移動
  translate(width/2, height/2);
  rotateY(theta);    //Y軸に対してangleの数値分だけ回転
  box(150, 150, 150);    //150x150x150pxの立方体を描

  theta += rad;    //時間を進める
  
  //1周期分終わったら原点に戻る
  if (theta > TWO_PI) theta = 0.0;
}