float theta = 0.0;    //角度
 
//1秒で1回転するように30で割る。度数法だと12°
//更に3で割ると1周期3秒
float rad = (TWO_PI/30.0)/3;
 
void setup() {
  size(400, 400, P3D);
  background(0);
  noStroke();
  frameRate(30);  //1秒30フレーム}
}
 
void draw() {
  fade(true);
 
  translate(width/2, height/2);    //立体の中心を画面中央に移動 
  rotateY(theta);    //Y軸に対してangleの数値分だけ回転
 
  //sin(theta)の計算結果はは-1.0~1.0なので、+1,0で0.0~2.0になる
  scale(sin(theta) + 1.0);
 
  fill(255);
  box(150, 150, 150);    //150 x 150 x 150pxの立方体を描
 
  theta += rad;    //時間を進める
  if (theta > TWO_PI) theta = 0.0;    //1周期分終わったら原点に戻る
}
 
//フェード用関数
void fade(boolean _fadeFlag) {
  if (_fadeFlag) {
    fill(0, 10);  //透明度のあるrectを描画
    rect(0, 0, width, height);
    fill(0);      //オブジェクトは黒
  } else {
    background(0);
  }
}