void setup() {
  size(400, 400, P3D);
}

void draw() {
  background(0);
  translate(width/2, height/2);    //立体の中心を画面中央に移動  
  //y軸に対してマウスのX軸の動きによって角度を変える
  rotateY(radians(mouseX));

  fill(255);

  beginShape(QUADS);    //四角形を描くことを宣言する
  //正面
  vertex(100, 50, 0);  //一点ずつ順番に座標を指定する
  vertex(100, -50, 0);
  vertex(-100, -50, 0);
  vertex(-100, 50, 0);

  //縦
  vertex(0, 50, 100);  //一点ずつ順番に座標を指定する
  vertex(0, -50, 100);
  vertex(0, -50, -100);
  vertex(0, 50, -100);
  endShape();    //四角形を閉じる
}