//Circleクラスを継承したColorCircleクラス
class ColorCircle extends Circle {
  color eColor;    //色彩の変数であるeColorを宣言
 
  //コンストラクタ
  ColorCircle (float _y, int _eSize, float _velocity, color _eColor) { 
    //親クラス（Circleクラス）のコンストラクタを実行する
    super(_y, _eSize, _velocity);
    eColor = _eColor;
  }
 
  //更新メソッド
  void update() {
    super.update();  //親クラス（Circleクラス）のupdate()メソッドを実行
  }
 
  //色を設定して表示するメソッド
  void displayColor() {
    fill(eColor);    //色彩を設定
    super.display();  //親クラス（Circleクラス）のdisplay()メソッドを実行
  }
}