//ColorCircleクラスのインスタンスを100個宣言
ColorCircle[] c = new ColorCircle[100];
 
void setup() {
 
  size(400, 400);
  smooth();    //図形の輪郭をきれいに描画
  noStroke();
  fill(0);    //黒で描画
 
  for (int i = 0; i < 100; i ++) {
 
    c[i] = new ColorCircle(i * 4, //y座標
                           4, //円のサイズ
                           random(0.01, 5.0), //スピードをランダムに決定
                           color((int)random(255), 100, 0));    //色
  }
}
 
void draw() {
 
  background(255);    //背景は白
 
  //c1インスタンスのクラスである、ColorCircleクラスのupdate()と
  //displayColor()メソッドを実行
  for (int i = 0; i < 100; i ++) {
    c[i].update(); 
    c[i].displayColor();
  }
}
 
void keyPressed() {
  if (key == CODED) {
    if (keyCode == UP) {  //上に動く
 
      for (int i = 0; i < 100; i ++) c[i].faster();
    } else if (keyCode == DOWN) {    //下に動く
 
      for (int i = 0; i < 100; i ++) c[i].slower();
    }
  }
}