PFont myFont;    //フォント用変数
int[] value = {10, 14, 20, 80, 2, 18};
String[] s = {"a", "b", "c", "d", "e", "f"};

float barW;  //バーの横幅
float barH;
float resize = 3.0; 
float margin = 20.0;  //左右と底辺の余白
float space = 4.0;

size(400, 400);
background(255);

myFont = createFont("Arial", 12);    //フォント作成
textFont(myFont, 12);  //テキストのサイズを設定
textAlign(CENTER);

//バーの横幅を決定
barW = (width - margin*2 - (value.length - 1)*space)/float(value.length);

//バーとテキストを描画。value.lenghは配列の要素数を返す
for (int i = 0; i < value.length; i ++) {

  //バーのx座標, y座標を計算
  float x = (barW + space)*i + margin;
  float y = height - value[i]*resize - margin;
  barH = value[i]*resize;

  fill(127);    //グレーで描画
  rect(x, y, barW, barH);

  //テキスト表示
  fill(255, 0, 0);    //赤で描画
  text(s[i] + " = " + value[i], x + barW/2, y - 10);
}